Skip to main content
GET
/
v1
/
assessments
List assessments
curl --request GET \
  --url https://api.app.chainloop.dev/v1/assessments \
  --header 'Authorization: Bearer <token>'
{
  "pagination": {
    "total_count": 1,
    "page": 0,
    "total_pages": 5,
    "page_size": 6
  },
  "results": [
    {
      "justification_code": "ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED",
      "note": "note",
      "creator_type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
      "created_at": "2000-01-23T04:56:07.000Z",
      "external_id": "external_id",
      "project_version_id": "project_version_id",
      "created_by": {
        "intercom_hash": "intercom_hash",
        "created_at": "2000-01-23T04:56:07.000Z",
        "last_name": "last_name",
        "id": "id",
        "first_name": "first_name",
        "email": "email",
        "instance_admin": true
      },
      "products": [
        {
          "purl_glob": "purl_glob"
        },
        {
          "purl_glob": "purl_glob"
        }
      ],
      "updated_at": "2000-01-23T04:56:07.000Z",
      "project_id": "project_id",
      "finding_ids": [
        "finding_ids",
        "finding_ids"
      ],
      "organization_id": "organization_id",
      "scope": "ASSESSMENT_SCOPE_UNSPECIFIED",
      "id": "id",
      "status": "ASSESSMENT_STATUS_UNSPECIFIED"
    },
    {
      "justification_code": "ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED",
      "note": "note",
      "creator_type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
      "created_at": "2000-01-23T04:56:07.000Z",
      "external_id": "external_id",
      "project_version_id": "project_version_id",
      "created_by": {
        "intercom_hash": "intercom_hash",
        "created_at": "2000-01-23T04:56:07.000Z",
        "last_name": "last_name",
        "id": "id",
        "first_name": "first_name",
        "email": "email",
        "instance_admin": true
      },
      "products": [
        {
          "purl_glob": "purl_glob"
        },
        {
          "purl_glob": "purl_glob"
        }
      ],
      "updated_at": "2000-01-23T04:56:07.000Z",
      "project_id": "project_id",
      "finding_ids": [
        "finding_ids",
        "finding_ids"
      ],
      "organization_id": "organization_id",
      "scope": "ASSESSMENT_SCOPE_UNSPECIFIED",
      "id": "id",
      "status": "ASSESSMENT_STATUS_UNSPECIFIED"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token for authentication

Query Parameters

scope
enum<string>
default:ASSESSMENT_SCOPE_UNSPECIFIED

Filter by scope

Available options:
ASSESSMENT_SCOPE_UNSPECIFIED,
ASSESSMENT_SCOPE_PROJECT,
ASSESSMENT_SCOPE_PROJECT_VERSION
status
enum<string>
default:ASSESSMENT_STATUS_UNSPECIFIED

Filter by status

Available options:
ASSESSMENT_STATUS_UNSPECIFIED,
ASSESSMENT_STATUS_NOT_AFFECTED,
ASSESSMENT_STATUS_AFFECTED,
ASSESSMENT_STATUS_UNDER_INVESTIGATION,
ASSESSMENT_STATUS_FIXED
external_id
string

Filter by external ID (e.g. CVE identifier)

project_name
string

Filter by project name

pagination.page
integer<int32>

The (zero-based) offset of the first item returned in the collection.

pagination.page_size
integer<int32>

The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

project_version_name
string

Filter by project version name

finding_id
string

Filter by finding ID to list assessments linked to a specific finding

Filter by finding ID

has_findings
boolean

Filter by whether the assessment has any linked findings

Filter by presence of linked findings. True = only with findings, false = only without

Response

A successful response.

Response for List method

results
AssessmentItem · object[]
pagination
OffsetPaginationResponse is used to return the pagination information · object
Example:
{
"total_count": 1,
"page": 0,
"total_pages": 5,
"page_size": 6
}